@charset "utf-8";

/*視窗背景色設定*/
body {
    background-color: hsl(141, 100%, 95%);
    /*background: 
        url(photo/edge.png) round ,
        url(photo/bg.png) no-repeat;
        max-width: 100%;
        height: auto;*/
    background-image: 
    url(photo/flower.png),
    url(photo/bg.png);
    background-repeat: no-repeat, repeat-y;
    background-size: 5%, auto;
    background-position: right bottom;
    background-attachment: fixed;
}
/*連結顏色設定*/
a {
    color: hsl(240, 100%, 50%);
    text-decoration: none;
}
#connect {
    margin: 30px;
    padding: 20px;
    background-color:#fff
}x
.mail {
    color: hsl(248, 53%, 58%);
}
.cellphone {
    color: hsl(152, 80%, 30%);
}
.cellphone:hover {
    color: hsl(152, 50%, 10%);
}
.cellphone:focus {
    border-bottom: 3px solid;
}
.github {
    background-color: hsl(240, 50%, 90%);
    color: purple;
}
.github:hover {
    color: hsl(248, 53%, 58%);
}
/*頁首,導覽,頁尾的共通設定*/
header, nav, footer {
    text-align: left;
}
.source {
    text-align: center;
}
html {
    font-family: "Zen Kurenaido", sans-serif;
}
/*導覽樣式設定*/
nav li {
    list-style: none;
    text-align: center;
    display: inline-block;
    width: 100px;
    font-family: "Zen Kurenaido", sans-serif;
}
.zen-kurenaido-regular {
  font-family: "Zen Kurenaido", sans-serif;
  font-weight: 400;
  font-style: normal;
}


/*頁面標題設定*/
h1 {
    width: 300px;
    margin: 40px auto;
    padding: 30px ;
    border: 5px dotted hsl(248, 53%, 58%);
    border-left: 5px solid;
    border-right: 5px solid;
    color: purple;
    text-align: center;
    line-height: 1;
    border-radius: 45%;
    text-shadow: 1px 1px 1px #307657;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    background-image: linear-gradient(to right, #00eeda, #4a9d79);
}
/*
.frame {
    background: url("photo/flower-edge.png") -14px -140px no-repeat;
    background-size: 400px 300px;
}
*/
/*次標題設定*/
h2 {
    margin: 10px auto;
    padding: 5px;
    border-left: 7px solid;
    color: chocolate
}
.h {
    padding: 10px;
    margin-bottom: 30px;
}
/*小標題設定*/


/*內容區塊邊框設定*/
#contents {
    margin: 30px;
    padding: 20px;
    border-bottom: 1px solid;
    background-color: #fff;
}
#contents img{
    max-width: 100%;
    height: auto;
}
/*「更多介紹」連結設定*/


/*連結圖示設定*/
a[class="mail"]::after {
    content: url(photo/ico_mail.ico);
    margin-left: 5px;
    vertical-align: middle;
}
a[class="cellphone"]::after {
    content: url(photo/ico_phone.ico);
    margin-left: 5px;
    vertical-align: middle;
}

/*區塊間分隔*/
#contents > section + section {
    margin-top: 40px;
}

/*文繞圖設定*/
.imgL {
    float: left;
    margin-right: 20px;
    margin-bottom: 50px;
}

/*圓形圖片設定*/


